package com.ruoyi.project.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.saas.base.BaseEntity;

import java.util.Date;

/**
 * 文件校对对象 trs_file_info
 * 
 * @author ruoyi
 * @date 2025-03-27
 */
public class TrsFileInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 文件名称 */
    @Excel(name = "文件名称")
    private String docname;

    /** 文件内容 */
    private String doccontent;

    /** 文件类型 */
    @Excel(name = "文件类型")
    private String doctype;

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createtime;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setDocname(String docname) 
    {
        this.docname = docname;
    }

    public String getDocname() 
    {
        return docname;
    }

    public void setDoccontent(String doccontent) 
    {
        this.doccontent = doccontent;
    }

    public String getDoccontent() 
    {
        return doccontent;
    }

    public void setDoctype(String doctype) 
    {
        this.doctype = doctype;
    }

    public String getDoctype() 
    {
        return doctype;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("docname", getDocname())
            .append("doccontent", getDoccontent())
            .append("doctype", getDoctype())
            .append("createtime", getCreatetime())
            .toString();
    }
}
